## json11 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
if (CMAKE_VERSION VERSION_LESS "3")
  project(json11 CXX)
else()
  cmake_policy(SET CMP0048 NEW)
  project(json11 VERSION 1.0.0 LANGUAGES CXX)
endif()

enable_testing()

option(JSON11_BUILD_TESTS "Build unit tests" OFF)
option(JSON11_ENABLE_DR1467_CANARY "Enable canary test for DR 1467" OFF)

if(CMAKE_VERSION VERSION_LESS "3")
  add_definitions(-std=c++11)
else()
  set(CMAKE_CXX_STANDARD 11)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif()

add_library(json11 json11.cpp)
target_include_directories(json11 PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_compile_options(json11
  PRIVATE -fPIC -fno-rtti -fno-exceptions -Wall)

# Set warning flags, which may vary per platform
include(CheckCXXCompilerFlag)
set(_possible_warnings_flags /W4 /WX -Wextra -Werror)
foreach(_warning_flag ${_possible_warnings_flags})
  unset(_flag_supported)
  CHECK_CXX_COMPILER_FLAG(${_warning_flag} _flag_supported)
  if(${_flag_supported})
    target_compile_options(json11 PRIVATE ${_warning_flag})
  endif()
endforeach()

configure_file("json11.pc.in" "json11.pc" @ONLY)

if (JSON11_BUILD_TESTS)

  # enable test for DR1467, described here: https://llvm.org/bugs/show_bug.cgi?id=23812
  if(JSON11_ENABLE_DR1467_CANARY)
    add_definitions(-D JSON11_ENABLE_DR1467_CANARY=1)
  else()
    add_definitions(-D JSON11_ENABLE_DR1467_CANARY=0)
  endif()

  add_executable(json11_test test.cpp)
  target_link_libraries(json11_test json11)
endif()

install(TARGETS json11 DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/json11.hpp" DESTINATION include/${CMAKE_LIBRARY_ARCHITECTURE})
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/json11.pc" DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}/pkgconfig)

=== debian/changelog ===
json11 (1.0.0-3) unstable; urgency=medium

  * QA upload.
  * Fix debian/watch file for new github location
  * Bump standards version
  * Move orphaned package out of private space on salsa

 -- Neil Williams <codehelp@debian.org>  Fri, 24 Sep 2021 13:35:39 +0100

json11 (1.0.0-2) unstable; urgency=medium

  * Export cmake config patch
  * Simplify debian/rules

 -- Sebastien Delafond <seb@debian.org>  Wed, 18 Dec 2019 12:27:21 +0100

json11 (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #946936)

 -- Sebastien Delafond <seb@debian.org>  Wed, 18 Dec 2019 09:51:08 +0100

=== debian/control ===
Source: json11
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11), cmake
Standards-Version: 4.6.0
Homepage: https://github.com/dropbox/json11
Vcs-Browser: https://salsa.debian.org/debian/json11
Vcs-Git: https://salsa.debian.org/debian/json11.git

Package: libjson11-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tiny JSON library for C++11
 json11 is a tiny JSON library for C++11, providing JSON parsing and
 serialization.
 .
 The core object provided by the library is json11::Json. A Json object
 represents any JSON value: null, bool, number (int or double), string
 (std::string), array (std::vector), or object (std::map).
 .
 Json objects act like values. They can be assigned, copied, moved,
 compared for equality or order, and so on. There are also helper methods
 Json::dump, to serialize a Json to a string, and Json::parse (static) to
 parse a std::string as a Json object.

Package: libjson11-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjson11-1 (= ${binary:Version}), ${misc:Depends}
Description: Tiny JSON library for C++11 (development files)
 json11 is a tiny JSON library for C++11, providing JSON parsing and
 serialization.
 .
 The core object provided by the library is json11::Json. A Json object
 represents any JSON value: null, bool, number (int or double), string
 (std::string), array (std::vector), or object (std::map).
 .
 Json objects act like values. They can be assigned, copied, moved,
 compared for equality or order, and so on. There are also helper methods
 Json::dump, to serialize a Json to a string, and Json::parse (static) to
 parse a std::string as a Json object.
 .
 This package provides all required developer resources like header-files
 and statically linked version of the library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake --sourcedirectory=.

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake --sourcedirectory=.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%json11-$1.tar.gz%,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
   https://github.com/dropbox/json11/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
